summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorFlorian Pritz <bluewind@xinu.at>2014-06-21 13:01:05 +0200
committerFlorian Pritz <bluewind@xinu.at>2014-06-21 13:01:05 +0200
commit9103603c8ac76672f95771ff6597c44c9079d30c (patch)
treef43aba64c23364545ba581b0d23c26fe76c0037f
parentcb286d9007d07621b7f4a3169a94135ee07aeafc (diff)
downloadbin-9103603c8ac76672f95771ff6597c44c9079d30c.tar.gz
bin-9103603c8ac76672f95771ff6597c44c9079d30c.tar.xz
add new scripts
Signed-off-by: Florian Pritz <bluewind@xinu.at>
-rwxr-xr-xdbrel3
-rwxr-xr-xgen-perl-pkg9
-rwxr-xr-xssh-proxy3
3 files changed, 15 insertions, 0 deletions
diff --git a/dbrel b/dbrel
new file mode 100755
index 0000000..f2b0c94
--- /dev/null
+++ b/dbrel
@@ -0,0 +1,3 @@
+#!/bin/bash
+ssh nymeria /packages/db-update
+ssh nymeria /community/db-update
diff --git a/gen-perl-pkg b/gen-perl-pkg
new file mode 100755
index 0000000..46615e5
--- /dev/null
+++ b/gen-perl-pkg
@@ -0,0 +1,9 @@
+#!/bin/bash
+
+set -e
+
+pkg=$1
+
+genpkg $pkg
+mkdir -p ~/arch/community/$pkg/{trunk,repos}
+cp ~/pkg/dest/$pkg/PKGBUILD ~/arch/community/$pkg/trunk/
diff --git a/ssh-proxy b/ssh-proxy
new file mode 100755
index 0000000..2df13d7
--- /dev/null
+++ b/ssh-proxy
@@ -0,0 +1,3 @@
+#!/bin/bash
+
+ssh -o ProxyCommand="ssh $1 -W %h:%p" "${@:2}"